org.apache.fop.render.gradient

## Class Pattern

- java.lang.Object
- - org.apache.fop.render.gradient.Pattern

    public class Pattern
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Pattern(int patternType, Shading shading, List<Double> matrix)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Double>` `getMatrix()`
`int` `getPatternType()` Either one (1) for tiling, or two (2) for shading.
`Shading` `getShading()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Pattern

    public Pattern(int patternType,
                   Shading shading,
                   List<Double> matrix)

### Method Detail

#### getPatternType

    public int getPatternType()

Either one (1) for tiling, or two (2) for shading.

#### getShading

    public Shading getShading()

#### getMatrix

    public List<Double> getMatrix()